40025 ' ============ ::::::::   VFEALM   :::::::: ================ % INCLUDE
      ' SISTEMAS SIERRA SA DE CV           VERIFICA TIEMPO DE LICENCIA
      ' 17:13:53  7/1/1995  Creaci˘n inicial del sistema
      ' ====================================================================
        IF OS$="1" THEN SISTEMA$="SISTEMA DE COSTOS"     :LG=79 ' titulo
        IF OS$="2" THEN SISTEMA$="SISTEMA DE INVENTARIOS":LG=79 ' titulo
        IF OS$="3" THEN SISTEMA$="SISTEMA DE COMPRAS"    :LG=79 ' titulo
        IF OS$="4" THEN SISTEMA$="INTERFASE ARGUS"       :LG=79 ' titulo
        IF OS$="5" THEN SISTEMA$="PROG. DE PRODUCCION"   :LG=79 ' titulo
        IF OS$="6" THEN SISTEMA$="ORDENES DE COMPRA"     :LG=79 ' titulo
        IF OS$="7" THEN SISTEMA$="SISTEMAS DE OPERACION" :LG=79 ' titulo
        IF OS$="8" THEN SISTEMA$="INTERFASE ARGUSjr"     :LG=79 ' titulo
        IF OS$="9" THEN SISTEMA$="ANALISIS DE VENTAS"    :LG=79 ' titulo

        LIC$=MID$(AUTARC$,1,2)+"LIC"+MID$(AUTARC$,6,7)     ' licencia
        OPEN LIC$ FOR RANDOM ACCESS READ WRITE SHARED AS #29 LEN=2
        FIELD#29,2AS L29$
        GET#29,1                                           ' accesa licencia
        AUTLIC=CVI(L29$)                                   ' licencia
        CLOSE#29                                           ' cierra archivo
        NUM=AUTLIC                                         ' licencia
        SFT=AUTSFT                                         ' sistema
        NUM$=STR$(NUM)                                     ' conforma archivo aut
        IF LEN(NUM$)=2 THEN NUM$="000"+MID$(NUM$,2,1):GOTO 40026
        IF LEN(NUM$)=3 THEN NUM$="00" +MID$(NUM$,2,2):GOTO 40026
        IF LEN(NUM$)=4 THEN NUM$="0"  +MID$(NUM$,2,3):GOTO 40026
                            NUM$=      MID$(NUM$,2,4)

40026   ASFT$=MID$(AUTARC$,1,2)+"\DOS\SF"+NUM$+".SIE"        ' archivo
        OPEN ASFT$ FOR RANDOM ACCESS READ WRITE SHARED AS #30 LEN=512
        FIELD#30,2AS CLI30$,40AS EMP30$,100AS VES30$,100AS VEA30$,100AS VEM30$,100AS VED30$,70 AS RE30$

        GET#30,1                                           ' accesa licencia
        LIC=CVI(CLI30$)                                    ' cliente
        EMPRESA$=EMP30$                                    ' nombre
        LCT=1
        B40$=MID$(RE30$,1,8)
        B40$=MID$(B40$,4,1)+MID$(B40$,6,1)+MID$(B40$,8,1)+MID$(B40$,1,1)+MID$(B40$,7,1)+MID$(B40$,5,1)+MID$(B40$,2,1)+MID$(B40$,3,1)
        PB40$=MID$(B40$,5,4)
        B40$=PB40$:GOSUB 40009:PB40$=B10$
        VFECH$=MID$(PB40$,5,2)+MID$(PB40$,3,2)+MID$(PB40$,1,2)
        IF VFECH$="910617" THEN DIAS#=100:GOTO 40027       ' fecha abierta
        FECHA$=VFECH$: GOSUB 40080:DACT#=D1900#            ' dias hasta hoy
        FECHA$=AUTFEC$:GOSUB 40080:DRES#=D1900#            ' dias hasta respaldo
        DIAS#=DACT#-DRES#                                  ' dias
40027   CLOSE#30

       IF DIAS#>7 THEN RETURN                              ' no envia mensaje

40028  FEC$=MID$(DATE$,9,2)+MID$(DATE$,1,2)+MID$(DATE$,4,2):FX$=FEC$
       GOSUB 7900
       IF K=1 THEN DX$="01":MX$="01":AX$="93"
       GOSUB 7850
       DIA$=DX$:MES$=MX$:ANO$=AX$
       CLS:GOSUB 10016                                     ' limpia pantalla, recuadro
       MENU$="DĦas autorizados"
       GOSUB 8300                                          ' encabezado
       COLOR 7,0                                           ' intensidad media

       PR= 7:PC= 5:NR=10:NC=71:GOSUB 9980
       PR=13:PC=47:NR=01:NC=26:GOSUB 9981
       COLOR 15,7                                          ' intensidad media
          LOCATE 11,08:PRINT "AVISO IMPORTANTE:"
          LOCATE 12,08:PRINT "El tiempo de su licencia est  por          Restan £nicamente:"
          LOCATE 13,08:PRINT "terminarse.  Usted no podr  operar"
          LOCATE 14,08:PRINT "despus de los dĦas indicados."
          LOCATE 14,60:PRINT "dĦas."
          LOCATE 15,08:PRINT "Usted requiere una nueva licencia."
          LOCATE 17,08:PRINT "Comuniquese con tiempo a Sierra, al departamento de contabilidad..."

       COLOR  4, 7:LOCATE 11,08:PRINT "AVISO IMPORTANTE:"
       COLOR 16,15:LOCATE 14,58:PRINT USING "#";DIAS#                                          ' mes
       COLOR 15, 7:LOCATE  9, 8:PRINT "Comuniquese a Sierra y solicite nueva autorizaci˘n del sistema"
       COLOR 7,0
       FOR I=1 TO 3:BEEP:NEXT I
       COLOR 15, 7:LOCATE 24,1:PRINT SPACE$(80);
                   LOCATE 24,02:PRINT "Enter=continuar";
       COLOR 16,15:LOCATE 24,02:PRINT "Enter";
       COLOR 16,15:LOCATE 24,18:PRINT " ";
       COLOR 15, 7:LOCATE 24,18:PRINT "";:W$=INPUT$(1)
       RETURN

40080                                                 ' CALCULAR DIAS TRANSCURRIDOS DESDE 1900
      YD=VAL(MID$(FECHA$,5,2)):YM=VAL(MID$(FECHA$,3,2)):YA=VAL(MID$(FECHA$,1,2))
      IF YA>=0 AND YA<=50 THEN YEAR=2000 ELSE YEAR=1900
         YA=VAL(MID$(FECHA$,1,2))+YEAR
         IF YM>2 THEN YUNO=1 ELSE YUNO=0
            ANBIS$=STR$(YA/4)
            ANBIS=YA MOD 4
            IF YM>2 AND ANBIS=0 THEN YDOS=1 ELSE YDOS=0
               D1900#=INT(365.25*(YA-1972)+.75)+INT(30.55*YM-29.95)-2*YUNO+YD+YDOS
     RETURN
